Bug 124269 - Emacs/Ant/enviroment failure using M-x compile
Summary: Emacs/Ant/enviroment failure using M-x compile
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-25 11:44 UTC by Paul Michael Reilly
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 03:35:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The Ant build file consisting of a <property environment=...> element. (272 bytes, text/plain)
2004-05-25 11:47 UTC, Paul Michael Reilly
no flags Details
Results from M-x compile ant (186 bytes, text/plain)
2004-05-25 11:57 UTC, Paul Michael Reilly
no flags Details

Description Paul Michael Reilly 2004-05-25 11:44:19 UTC
Description of problem:  Environment/property failure in association
with Ant via Emacs' compile mode (M-x compile).


Version-Release number of selected component (if applicable): 
Emacs 21.3
Ant 1.6.1 (installed using binary download into /usr/local/ant)

How reproducible: Run the attached build file as directed and Ant will
fail with an exception.


Steps to Reproduce:
0. Install Ant 1.6.1 into /usr/local/ant and add /usr/local/ant/bin to
the front of the command search path.
1. Copy the attached build.xml file to some directory.
2. Invoke Emacs and execute `M-x compile' to run the command "ant"
from the directory containing the build.xml file.
3. Observe the exception shown in the attached error file.
  
Actual results:  Ant takes a
java.lang.reflect.InvocationTargetException exception

Expected results:  No exception, "Hello World!" is output in the
*compilation* buffer.

Additional info:  It is not clear to me where this issue really
belongs.  Emacs is my best guess.  The problem did not exist with FC1,
nor does it fail with Ant 1.5.2-26 and does not fail when executed via
a command shell (M-x shell).

Comment 1 Paul Michael Reilly 2004-05-25 11:47:23 UTC
Created attachment 100535 [details]
The Ant build file consisting of a <property environment=...> element.

Comment 2 Paul Michael Reilly 2004-05-25 11:57:29 UTC
Created attachment 100536 [details]
Results from M-x compile ant

Comment 3 Paul Michael Reilly 2004-05-25 12:01:50 UTC
One more thing.  To work around the problem, I used the following
command, which is kind of telling:  "env -> /dev/null; ant"


Comment 4 Jens Petersen 2004-09-29 15:59:24 UTC
What does "M-x compile env" give you?

Comment 5 Jens Petersen 2005-05-18 03:35:04 UTC
ant is now included in Fedora Core development btw.

Could you try to retest and re-open if there is still a problem?


Note You need to log in before you can comment on or make changes to this bug.